Commit 85de658e authored by Christoph Groth's avatar Christoph Groth

document minor backwards-incompatible change in Kwant 1.3

Since this does not seem to justify a new bugfix release of Kwant 1.3,
I apply this commit to the 1.4 stable branch.
parent 2d3c51ad
......@@ -219,3 +219,10 @@ image in the fundamental domain.
This change is documented here for completeness. We expect that the vast
majority of users of Kwant will not be affected by it.
.. _whatsnew13-params-api-change:
API change that affects low-level systems
-----------------------------------------
The `~kwant.system.System.hamiltonian` method of low-level systems must now accept a
`params` keyword parameter.
......@@ -343,3 +343,5 @@ Changes in Kwant 1.4.1
adding the entry `Value functions may no longer take unnamed arguments`_.
- Kwant no longer requires the existence of a `parameters` attribute for
low-level systems.
- A note about an :ref:`whatsnew13-params-api-change` that ocurred in Kwant
1.3 was added.
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment